Skip to main content
PATCH
Update Notification Route Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

route_id
string<uuid4>
required

Body

application/json
kind
string | null
severity
string | null
cluster_id
string<uuid4> | null
source_id
string | null
destination_id
string<uuid4> | null
priority
integer | null
stop_on_match
boolean | null
mode
string | null
enabled
boolean | null

Response

Successful Response

id
string<uuid4>
required
organisation_id
string<uuid4>
required
kind
string | null
required
severity
string | null
required
cluster_id
string<uuid4> | null
required
source_id
string | null
required
destination_id
string<uuid4>
required
priority
integer
required
stop_on_match
boolean
required
mode
string
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required